RWSWAPBYTES(1)

NAME
rwswapbytes - Convert the byte order of a SiLK Flow file

SYNOPSIS
  rwswapbytes {--big-endian|--little-endian|--native-endian|--swap-endian}
        INPUT_FILE OUTPUT_FILE

DESCRIPTION
Change the byte order of INPUT_FILE as specified by the option and write the result to OUTPUT_FILE. rwswapbytes will read the input from the standard input if you use the string "stdin" for INPUT_FILE; swapbytes will write the output to the standard output if you use the string "stdout" for OUTPUT_FILE. rwswapbytes knows how to read and write compressed (gzipped) files.

OPTIONS
Option names may be abbreviated if the abbreviation is unique or is an exact match for an option. A parameter to an option may be specified as --arg=param or --arg param, though the first form is required for options that take optional parameters.

One of these options must be provided:

--big-endian
    Write the output-file in big-endian format.

--little-endian
    Write the output-file in little-endian format.

--native-endian
    Write the output-file in this machine's native format.

--swap-endian
    Unconditionally swap the byte-order of the input-file.